package types

type Empty struct {
}

type Base struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

type Paginate struct {
	Offset int `form:"offset,default=0,range=[0:)"`
	Size   int `form:"size,default=10,range=[1:50]"`
}

type ID struct {
	ID uint `path:"id"`
}

type Identity struct {
	Identity string `path:"identity"`
}

type GormModel struct {
	ID        uint   `json:"id,optional"`
	CreatedAt string `json:"created_at,optional"`
	UpdatedAt string `json:"updated_at,optional"`
	DeletedAt string `json:"deleted_at,optional"`
}

type FetchRequest struct {
	Params    map[string]string `json:"params,optional"`
	TimeRange string            `json:"time_range,optional"`
	Paginate
}
